﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;
using System.Windows.Forms;

namespace pr278_1
{
    // Класс для кнопки: 
    class MyButton: Button {
        // Конструктор:
        public MyButton(string name): base() {
            // Название кнопки: 
            this.Text = name;
            // Обработчик события, связанного со щелчком
            // по кнопке:
            this.Click += (x, y) => {
                Application.Exit();
            };
        }
    }

    // Класс окна: 
    class MyForm: Form {
        // Названия животных:
        private string[] animals = {"Волк", "Лиса", "Медведь", "Енот"};
        // Названия файлов с изображениями:
        private string[] files = {"wolf.jpg", "fox.jpg", "bear.jpg", "raccoon.jpg"};
        // Путь к каталогу с файлами изображений: 
        private string path="";
        // Индекс переключателя, который установлен в начале: 
        private int index = 0;
        // Ссылка на метку: 
        private Label pict;
        // Массив ссылок на переключатели: 
        private RadioButton[] radio;
        // Конструктор: 
        public MyForm(): base() {
            // Ширина окна:  
            this.Width = 310;
            // Высота окна: 
            this.Height = 200;
            // Режим явного определения начального 
            // положения окна:
            this.StartPosition = FormStartPosition.Manual;
            // Координаты окна: 
            this.Location = new Point(400, 300);
            // Заголовок окна: 
            this.Text = "B мире животных";
            // Окно фиксированных размеров: 
            this.FormBorderStyle = FormBorderStyle.FixedSingle;
            // Окно нельзя развернуть на весь экран: 
            this.MaximizeBox = false;
            // Объект панели:
            Panel pnl = new Panel();
            // Ширина панели:
            pnl.Width = this.ClientSize.Width - 10;
            // Высота панели:
            pnl.Height = this.ClientSize.Height - 10;
            // Горизонтальная координата панели: 
            pnl.Left = 5;
            // Вертикальная координата панели: 
            pnl.Top = 5;
            // Рамка вокруг панели: 
            pnl.BorderStyle = BorderStyle.FixedSingle;
            // Объект метки: 
            pict = new Label();
            // Положение и размеры метки: 
            pict.SetBounds(5, 5, 154, 104);
            // Рамка вокруг метки: 
            pict.BorderStyle = BorderStyle.FixedSingle;
            // Начальное изображение для метки: 
            pict.Image = Image.FromFile(path + files[index]);
            // Добавление метки на панель: 
            pnl.Controls.Add(pict);
            // Создание массива ссылок на объекты переключателей: 
            radio = new RadioButton[animals.Length];
            // Объект для группы переключателей:
            GroupBox gb = new GroupBox();
            // Координаты группы переключателей:
            gb.Left = pict.Right + 5;
            gb.Top = pict.Top;
            // Размеры группы переключателей:
            gb.Width = 115;
            gb.Height = pict.Height;
            // Заголовок для группы переключателей: 
            gb.Text = "Ваш выбор";
             // Шрифт для группы переключателей: 
            gb.Font = new Font("Courier New", 12, FontStyle.Bold);
            // Высота области для переключателя: 
            int h = 17;
            // Создание объектов для переключателей и добавление 
            // переключателей в группу: 
            for(int k = 0; k < radio.Length; k++) {
                // Объект переключателя: 
                radio[k] = new RadioButton();
                // Подпись для переключателя: 
                radio[k].Text = animals[k];
                // Состояние переключателя (установлен или нет): 
                radio[k].Checked = (k == index);
                // Положение и размеры переключателя: 
                radio[k].SetBounds(10, 20 + k * (h + 4), 100, h);
                // Обработчик для события, связанного с изменением 
                // состояния переключателя: 
                radio[k].CheckedChanged += OnRadioClick;
                // Добавление переключателя в группу: 
                gb.Controls.Add(radio[k]);
            }
            // Добавление группы переключателей на панель: 
            pnl.Controls.Add(gb);
            // Объект кнопки:
            MyButton btn = new MyButton("OK");
            // Высота кнопки: 
            btn.Height = 30;
            // Ширина кнопки: 
            btn.Width = pnl.Width / 3;
            // Горизонтальная координата кнопки: 
            btn.Left = pnl.Width / 3;
            // Вертикальная координата кнопки: 
            btn.Top = pict.Bottom + 5;
            // Шрифт для кнопки: 
            btn.Font = gb.Font;
            // Добавление кнопки на панель:
            pnl.Controls.Add(btn);
            // Добавление панели в окно: 
            this.Controls.Add(pnl);
        }
        // Метод для обработки событий, связанных с изменением 
        // состояния переключателя:
        private void OnRadioClick(object obj, EventArgs ea) {
            // Перебор переключателей: 
            for(int k = 0; k < radio.Length; k++) {
                // Проверка состояния переключателя: 
                if (radio[k].Checked) {
                    // Новое изображение для пиктограммы: 
                    pict.Image = Image.FromFile(path + files[k]);
                    // Завершение выполнения метода: 
                    return;
                }
            }
        }
    }

    // Главный класс: 
    class Program
    {
        [STAThread]
        // Главный метод: 
        static void Main()
        {
            // Отображение окна:
            Application.Run(new MyForm());
        }
    }
}
